unit Childwin;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, CustSaveIt,
  AlmostSave, MDISaveItReg, SysUtils;

type
  TMDIChild = class(TForm)
    Memo1: TMemo;
    MDIChildSaveIt1: TMDIChildSaveIt;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure MDIChildSaveIt1DataLoad(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure MDIChildSaveIt1DataSave(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure MDIChildSaveIt1DataCheck(Sender: TObject;
      var Has_Data: Boolean);
    procedure Memo1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}


procedure TMDIChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TMDIChild.MDIChildSaveIt1DataLoad(Sender: TObject;
  FileName: String; var Success: Boolean);
begin
  // Load Data
  Memo1.Lines.LoadFromFile(FileName);

  // Important!
  Success := True;
end;

procedure TMDIChild.MDIChildSaveIt1DataSave(Sender: TObject;
  FileName: String; var Success: Boolean);
begin
  // Save Data
  Memo1.Lines.SaveToFile(FileName);

  // Important!
  Success := True;
end;

procedure TMDIChild.MDIChildSaveIt1DataCheck(Sender: TObject;
  var Has_Data: Boolean);
begin
  Has_Data := Length(Trim(Memo1.Text)) > 0;
end;

procedure TMDIChild.Memo1Change(Sender: TObject);
begin
  // Important!
  MDIChildSaveIt1.Modified; // Let MDISaveIt know that the data has changed
                            // and thus needs to be saved.
end;

end.
